Bug 94905 - Change GraphicsMagick so that it's symbols don't clash with other libs
Summary: Change GraphicsMagick so that it's symbols don't clash with other libs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-24 11:10 UTC by Mathieu Arnold
Modified: 2006-07-31 17:40 UTC (History)
0 users

See Also:


Attachments
GraphicsMagick-nox11-1.1.6_2.diff (841 bytes, patch)
2006-03-24 11:10 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2006-03-24 11:10:15 UTC
If you try to use a program with both libGraphicsMagick and libtidy, you'll
have problems because both of them export a GetToken symbol. The easiest way to
prevent this from happening is to use this which makes all GraphicsMagick
symbols be prefixed with Gm.

It would require a not in UPDATING because all depending software will have to
be recompiled.
Comment 1 Edwin Groothuis freebsd_committer 2006-03-24 11:12:42 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Ron van Daal 2006-03-24 12:07:47 UTC
The patch has been approved.

Thanks,

Ron

On Fri, 24 Mar 2006, Edwin Groothuis wrote:

> Maintainer of graphics/GraphicsMagick,
>
> Please note that PR ports/94905 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/94905
>
> -- 
> Edwin Groothuis
> edwin@FreeBSD.org
>
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-09 21:07:35 UTC
State Changed
From-To: feedback->open

maintainer approved
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2006-07-17 05:37:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mat

Maintainer was reset due to bouncing email address, so assign this back to 
the originator.
Comment 5 Mathieu Arnold freebsd_committer 2006-07-31 17:40:22 UTC
State Changed
From-To: open->closed

committed